button(nz-button, nzShape="circle", [nzSize]="size",
  nz-popconfirm, [nzPopconfirmTitle]="confirmText", nzPopconfirmPlacement="bottomRight",
  (nzOnConfirm)="confirmOk.emit()", (nzOnCancel)="confirmCancel.emit()",
  nz-tooltip, [nzTooltipTitle]="tooltipText", nzTooltipPlacement="top")
  i(nz-icon, nzType="delete", theme="twotone", twoToneColor="red")
